## konversation 25.08.2

=== CMakeLists.txt ===
cmake_minimum_required (VERSION 3.16 FATAL_ERROR)

# Release Service version, managed by release script
set (RELEASE_SERVICE_VERSION_MAJOR "25")
set (RELEASE_SERVICE_VERSION_MINOR "08")
set (RELEASE_SERVICE_VERSION_MICRO "2")
set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

# Bump KONVERSATION_BASE_VERSION once new features are added
set(KONVERSATION_BASE_VERSION "1.10")
set(KONVERSATION_VERSION "${KONVERSATION_BASE_VERSION}.${RELEASE_SERVICE_COMPACT_VERSION}")

project(konversation VERSION ${KONVERSATION_VERSION})

set(QT_MIN_VERSION "6.4.0")
set(KF_MIN_VERSION "6.3.0")
set(KDE_COMPILERSETTINGS_LEVEL "5.85")

find_package(ECM ${KF_MIN_VERSION} REQUIRED NO_MODULE)
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(ECMInstallIcons)
include(ECMSetupVersion)
include(ECMGenerateDBusServiceFile)
include(ECMDeprecationSettings)
include(ECMAddAppIcon)
include(ECMQtDeclareLoggingCategory)
include(CheckIncludeFile)
include(FeatureSummary)

find_package(Qt6 ${QT_MIN_VERSION} CONFIG REQUIRED Core Multimedia Network Widgets)

#This is a RUNTIME dependency. I don't know of any way to indicate that the Tools
#component of the Qt package is needed at runtime, so trying to do so with Qt6Tools
#This hopefully provides the binary likely named /usr/lib64/qt6/bin/qdbus
find_package(Qt6Tools ${QT_MIN_VERSION} CONFIG REQUIRED)
set_package_properties(Qt6Tools PROPERTIES
    DESCRIPTION "Provider of qdbus binary"
    TYPE RUNTIME
    PURPOSE "Allows scripts to communicate with Konversation"
)

find_package(Qt6Core5Compat ${QT_MIN_VERSION} CONFIG REQUIRED) # QTextCodec

find_package(KF6 REQUIRED COMPONENTS
    Archive
    Bookmarks
    Codecs
    Config
    ConfigWidgets
    CoreAddons
    Crash
    DBusAddons
    DocTools
    I18n
    IdleTime
    ItemViews
    KIO
    NewStuff
    Notifications
    NotifyConfig
    Parts
    StatusNotifierItem
    TextWidgets
    Wallet
    WidgetsAddons
    WindowSystem
)

if(NOT WIN32 AND NOT HAIKU)
    find_package(KF6 REQUIRED GlobalAccel)
endif()
set(HAVE_KGLOBALACCEL ${KF6GlobalAccel_FOUND})

if (UNIX AND NOT APPLE AND NOT HAIKU)
    set(HAVE_X11 TRUE)
endif()

find_package(Qca-qt6 2.2.0)
set_package_properties(Qca-qt6 PROPERTIES DESCRIPTION "Support for encryption"
                       URL "https://download.kde.org/stable/qca/"
                       TYPE OPTIONAL)
check_include_file("stropts.h" HAVE_STROPTS_H)

set(HAVE_QCA2 ${Qca-qt6_FOUND})

configure_file(config-konversation.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/config-konversation.h )
include_directories(${CMAKE_CURRENT_BINARY_DIR})

add_subdirectory(src)
add_subdirectory(data)
add_subdirectory(doc)

if(BUILD_TESTING)
    add_subdirectory(tests)
endif()

ki18n_install(po)
kdoctools_install(po)

feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== src/CMakeLists.txt ===
include_directories(${CMAKE_CURRENT_SOURCE_DIR}/config)
include_directories(config dcc irc viewer upnp)

add_executable(konversation)

#Does this disto use qdbus? qdbus6? qdbus-qt6? qdbus_qt6? qt6_dbus?
#Is it even on the path, or do we need to specify something like /usr/lib64/qt6/bin/...?
#Perhaps comes from the Qt6Tools package?
include(ECMQueryQt)
ecm_query_qt(QT_INSTALL_BINS QT_INSTALL_BINS)
find_program(QDBUS_RUNTIME_BINARY_FULL_PATH
        NAMES qdbus qdbus6 qdbus-qt6
        REQUIRED
        DOC "Used to allow the installed scripts to communicate with Konversation without requiring code in every script to adapt to the distribution."
        HINTS ${QT_INSTALL_BINS}
)
configure_file(konvi_qdbus.h.in konvi_qdbus.h)

target_sources(konversation PRIVATE
    #====================================
    #=== Application
    config/preferences.cpp
    config/preferences.h

    application.cpp
    application.h
    dbus.cpp
    dbus.h
    mainwindow.cpp
    mainwindow.h
    main.cpp
    common.cpp
    common.h
    sound.cpp
    sound.h
    ssllabel.cpp
    ssllabel.h
    statusbar.cpp
    statusbar.h
    bookmarkhandler.cpp
    bookmarkhandler.h
    scriptlauncher.cpp
    scriptlauncher.h
    konsolepanel.cpp
    konsolepanel.h
    notificationhandler.cpp
    notificationhandler.h
    launcherentryhandler.cpp
    launcherentryhandler.h
    awaymanager.cpp
    awaymanager.h
    connectionmanager.cpp
    connectionmanager.h
    connectionsettings.cpp
    connectionsettings.h
    identity.cpp
    identity.h
    identitydialog.cpp
    identitydialog.h

    konversation.qrc

    #=== GUI
    urlcatcher.cpp
    urlcatcher.h
    queuetuner.cpp
    queuetuner.h
    quickconnectdialog.cpp
    quickconnectdialog.h
)

target_sources(konversation PRIVATE
    #== IRC
    irc/server.cpp

    irc/query.cpp
    irc/channel.cpp
    irc/channellistpanel.cpp
    irc/channelnick.cpp
    irc/modebutton.cpp
    irc/joinchanneldialog.cpp
    irc/invitedialog.cpp
    irc/topichistorymodel.cpp

    irc/irccharsets.cpp

    irc/nick.cpp
    irc/nickinfo.cpp
    irc/nicklistview.cpp
    irc/nicksonline.cpp
    irc/nicksonlineitem.cpp

    #=== Server
    irc/inputfilter.cpp
    irc/outputfilter.cpp
    irc/outputfilterresolvejob.cpp
    irc/ircqueue.cpp
    irc/servergroupdialog.cpp
    irc/servergroupsettings.cpp
    irc/serverison.cpp
    irc/serverlistdialog.cpp
    irc/serverlistview.cpp
    irc/serversettings.cpp
)

ki18n_wrap_ui(konversation
    irc/channellistpanelui.ui
    irc/channeldialogui.ui
    irc/joinchannelui.ui
    irc/serverdialogui.ui
    irc/servergroupdialogui.ui
    irc/serverlistdialogui.ui
    irc/invitedialog.ui
)

    #=== Configuration dialog pages
target_sources(konversation PRIVATE
    config/alias_config.cpp
    config/alias_config.h
    config/autoreplace_config.cpp
    config/autoreplace_config.h
    config/configdialog.cpp
    config/configdialog.h
    config/connectionbehavior_config.cpp
    config/connectionbehavior_config.h
    config/dcc_config.cpp
    config/dcc_config.h
    config/highlight_config.cpp
    config/highlight_config.h
    config/highlighttreewidget.cpp
    config/highlighttreewidget.h
    config/ignore_config.cpp
    config/ignore_config.h
    config/launcherentry_config.cpp
    config/launcherentry_config.h
    config/nicklistbehavior_config.cpp
    config/nicklistbehavior_config.h
    config/osd_config.cpp
    config/osd_config.h
    config/quickbuttons_config.cpp
    config/quickbuttons_config.h
    config/settingsdialog.cpp
    config/settingsdialog.h
    config/settingspage.h
    config/tabs_config.cpp
    config/tabs_config.h
    config/theme_config.cpp
    config/theme_config.h
    config/warnings_config.cpp
    config/warnings_config.h
)

ki18n_wrap_ui(konversation
    config/alias_configui.ui
    config/autoreplace_configui.ui
    config/chatwindowappearance_config.ui
    config/chatwindowbehaviour_config.ui
    config/colorsappearance_config.ui
    config/connectionbehavior_config.ui
    config/dcc_configui.ui
    config/fontappearance_config.ui
    config/generalbehavior_configui.ui
    config/highlight_configui.ui
    config/ignore_configui.ui
    config/launcherentry_config.ui
    config/log_config.ui
    config/nicklistbehavior_configui.ui
    config/osd_configui.ui
    config/quickbuttons_configui.ui
    config/tabnotifications_config.ui
    config/tabs_configui.ui
    config/theme_configui.ui
    config/warnings_configui.ui
    config/watchednicknames_configui.ui
)

    #=== Viewer
target_sources(konversation PRIVATE
    viewer/awaylabel.cpp
    viewer/awaylabel.h
    viewer/channeloptionsdialog.cpp
    viewer/channeloptionsdialog.h
    viewer/chatwindow.cpp
    viewer/chatwindow.h
    viewer/editnotifydialog.cpp
    viewer/editnotifydialog.h
    viewer/highlight.cpp
    viewer/highlight.h
    viewer/highlightviewitem.cpp
    viewer/highlightviewitem.h
    viewer/ignore.cpp
    viewer/ignore.h
    viewer/ignorelistviewitem.cpp
    viewer/ignorelistviewitem.h
    viewer/images.cpp
    viewer/images.h
    viewer/insertchardialog.cpp
    viewer/insertchardialog.h
    viewer/irccolorchooser.cpp
    viewer/irccolorchooser.h
    viewer/irccontextmenus.cpp
    viewer/irccontextmenus.h
    viewer/ircinput.cpp
    viewer/ircinput.h
    viewer/ircviewbox.cpp
    viewer/ircviewbox.h
    viewer/ircview.cpp
    viewer/ircview.h
    viewer/logfilereader.cpp
    viewer/logfilereader.h
    viewer/nickiconset.cpp
    viewer/nickiconset.h
    viewer/osd.cpp
    viewer/osd.h
    viewer/pasteeditor.cpp
    viewer/pasteeditor.h
    viewer/quickbutton.cpp
    viewer/quickbutton.h
    viewer/rawlog.cpp
    viewer/rawlog.h
    viewer/searchbar.cpp
    viewer/searchbar.h
    viewer/statuspanel.cpp
    viewer/statuspanel.h
    viewer/topicedit.cpp
    viewer/topicedit.h
    viewer/topichistoryview.cpp
    viewer/topichistoryview.h
    viewer/topiclabel.cpp
    viewer/topiclabel.h
    viewer/trayicon.cpp
    viewer/trayicon.h
    viewer/viewcontainer.cpp
    viewer/viewcontainer.h
    viewer/viewspringloader.cpp
    viewer/viewspringloader.h
    viewer/viewtree.cpp
    viewer/viewtree.h
)

ki18n_wrap_ui(konversation
    viewer/channeloptionsui.ui
    viewer/irccolorchooserui.ui
    viewer/pasteeditor.ui
)

     #=== DCC
target_sources(konversation PRIVATE
    dcc/chatcontainer.cpp
    dcc/chatcontainer.h
    dcc/chat.cpp
    dcc/chat.h
    dcc/dcccommon.cpp
    dcc/dcccommon.h
    dcc/dccfiledialog.cpp
    dcc/dccfiledialog.h
    dcc/recipientdialog.cpp
    dcc/recipientdialog.h
    dcc/resumedialog.cpp
    dcc/resumedialog.h
    dcc/transfer.cpp
    dcc/transferdetailedinfopanel.cpp
    dcc/transferdetailedinfopanel.h
    dcc/transfer.h
    dcc/transferlistmodel.cpp
    dcc/transferlistmodel.h
    dcc/transfermanager.cpp
    dcc/transfermanager.h
    dcc/transferpanel.cpp
    dcc/transferpanel.h
    dcc/transferrecv.cpp
    dcc/transferrecv.h
    dcc/transfersend.cpp
    dcc/transfersend.h
    dcc/transferview.cpp
    dcc/transferview.h
    dcc/whiteboardcolorchooser.cpp
    dcc/whiteboardcolorchooser.h
    dcc/whiteboard.cpp
    dcc/whiteboardfontchooser.cpp
    dcc/whiteboardfontchooser.h
    dcc/whiteboardglobals.cpp
    dcc/whiteboardglobals.h
    dcc/whiteboard.h
    dcc/whiteboardpaintarea.cpp
    dcc/whiteboardpaintarea.h
    dcc/whiteboardtoolbar.cpp
    dcc/whiteboardtoolbar.h
)

ki18n_wrap_ui(konversation
     dcc/transferdetailedinfopanelui.ui
     dcc/transferdetailedtimeinfopanelui.ui
     dcc/whiteboardtoolbarui.ui
     dcc/whiteboardfontchooserui.ui
)

if (Qca-qt6_FOUND)
    target_sources(konversation PRIVATE
        cipher.cpp)
endif ()

target_sources(konversation PRIVATE
    upnp/soap.cpp
    upnp/soap.h
    upnp/upnpdescriptionparser.cpp
    upnp/upnpdescriptionparser.h
    upnp/upnpmcastsocket.cpp
    upnp/upnpmcastsocket.h
    upnp/upnprouter.cpp
    upnp/upnprouter.h
)

ki18n_wrap_ui(konversation
    identitydialog.ui
    queuetunerbase.ui
    viewer/searchbarbase.ui
)

kconfig_add_kcfg_files(konversation config/preferences_base.kcfgc)
kconfig_add_kcfg_files(konversation config/konversation_state.kcfgc)

ecm_qt_declare_logging_category(konversation
    HEADER konversation_log.h
    IDENTIFIER KONVERSATION_LOG
    CATEGORY_NAME konversation
    DESCRIPTION "Konversation"
    EXPORT KONVERSATION
)

ecm_setup_version(${KONVERSATION_VERSION}
    VARIABLE_PREFIX KONVI
    VERSION_HEADER version.h
)

# Sets the icon on Windows and OSX
file(GLOB ICONS_SRCS "${CMAKE_CURRENT_SOURCE_DIR}/../data/images/icons/*apps-konversation.png")
ecm_add_app_icon(konversation ICONS ${ICONS_SRCS})

target_link_libraries(konversation
    Qt::Multimedia
    Qt::Network
    Qt::Widgets
    Qt6::Core5Compat

    KF6::Archive
    KF6::Bookmarks
    KF6::ConfigWidgets
    KF6::Crash
    KF6::I18n
    KF6::IdleTime
    KF6::NotifyConfig
    KF6::KIOFileWidgets
    KF6::KIOWidgets
    KF6::Parts
    KF6::Wallet
    KF6::WidgetsAddons
    KF6::DBusAddons
    KF6::CoreAddons
    KF6::Notifications
    KF6::TextWidgets
    KF6::WindowSystem
    KF6::ItemViews
    KF6::Codecs
    KF6::NewStuffWidgets
    KF6::StatusNotifierItem
    KF6::BookmarksWidgets
)

if(TARGET KF6::GlobalAccel)
    target_link_libraries(konversation KF6::GlobalAccel)
endif()

if (Qca-qt6_FOUND)
    target_link_libraries(konversation qca-qt6)
endif ()
if (WIN32)
  target_link_libraries(konversation ws2_32) # for symbols from winsock2.h: ntohl, etc.
endif()
if (HAIKU)
  target_link_libraries(konversation network) # for undefined references inet_addr and setsockopt
endif ()

set_target_properties(konversation PROPERTIES MACOSX_BUNDLE_INFO_PLIST ${CMAKE_CURRENT_SOURCE_DIR}/MacOSXBundleInfo.plist.in)
install(TARGETS konversation ${KDE_INSTALL_TARGETS_DEFAULT_ARGS})

ecm_qt_install_logging_categories(
    EXPORT KONVERSATION
    FILE konversation.categories
    DESTINATION "${KDE_INSTALL_LOGGINGCATEGORIESDIR}"
)

=== data/images/icons/CMakeLists.txt ===
ecm_install_icons(
    ICONS
        16-actions-konv_message.png
        22-actions-konv_message.png
        32-actions-konv_message.png
        48-actions-konv_message.png
        64-actions-konv_message.png
        128-actions-konv_message.png
        16-apps-konversation.png
        22-apps-konversation.png
        32-apps-konversation.png
        48-apps-konversation.png
        64-apps-konversation.png
        128-apps-konversation.png
    DESTINATION ${KDE_INSTALL_ICONDIR} THEME hicolor
)

=== data/images/nickicons/square/CMakeLists.txt ===
install(
    FILES
        irc_admin.png
        irc_away.png
        irc_halfop.png
        irc_normal.png
        irc_op.png
        irc_owner.png
        irc_voice.png
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/square
)

=== debian/changelog ===
konversation (25.08.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.2)

 -- Rik Mills <rikmills@kde.org>  Fri, 17 Oct 2025 11:51:09 +0100

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

execute_after_dh_install-arch:
	# Install scripts README (and rename)
	cp -a data/scripts/README debian/konversation/usr/share/doc/konversation/README.scripts

override_dh_python3:
	dh_python3 -p konversation-data --shebang=/usr/bin/python3 /usr/share/konversation

%:
	dh  $@ --with kf6,python3

## konversation 25.08.2+p24.04+vstable+git20251017.0024

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251017.0024-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 17 Oct 2025 00:24:11 +0000

konversation (25.08.2-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 03:47:16 +0000

## konversation 25.08.2+p24.04+vstable+git20251019.0547

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251019.0547-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sun, 19 Oct 2025 05:47:30 +0000

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Uploaders: Modestas Vainius <modax@debian.org>, Diane Trout <diane@debian.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               dh-python,
               gettext,
               kf6-extra-cmake-modules,
               kf6-karchive-dev,
               kf6-kbookmarks-dev,
               kf6-kconfig-dev,
               kf6-kconfigwidgets-dev,
               kf6-kcoreaddons-dev,
               kf6-kcrash-dev,
               kf6-kdbusaddons-dev,
               kf6-kdoctools-dev,
               kf6-kglobalaccel-dev,
               kf6-ki18n-dev,
               kf6-kiconthemes-dev,
               kf6-kidletime-dev,
               kf6-kio-dev,
               kf6-knewstuff-dev,
               kf6-knotifications-dev,
               kf6-knotifyconfig-dev,
               kf6-kparts-dev,
               kf6-kstatusnotifieritem-dev,
               kf6-kwallet-dev,
               kf6-kwidgetsaddons-dev,
               kf6-kwindowsystem-dev,
               kf6-solid-dev,
               libqca-qt6-2-dev,
               pkg-kde-tools-neon,
               python3:any,
               qt6-base-dev,
               qt6-multimedia-dev,
               qt6-phonon-dev
Standards-Version: 4.6.2
Homepage: https://konversation.kde.org/
Vcs-Git: https://invent.kde.org/neon/extras/konversation.git
Vcs-Browser: https://invent.kde.org/neon/extras/konversation
Maintainer: Neon CI <neon@kde.org>

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Provides: irc
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends}
Recommends: konversation (>= ${source:Version})
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 25.08.2+p24.04+vstable+git20251030.0019

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251030.0019-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 30 Oct 2025 00:19:36 +0000

=== debian/rules ===
#!/usr/bin/make -f
# SPDX-License-Identifier: LGPL-2.0-or-later
# # SPDX-FileCopyrightText: 2023 Jonathan Riddell <jr@jriddell.org>

%:
	dh $@ --with kf6,python3 --buildsystem kf6

override_dh_python3:
	dh_python3 -p konversation-data --shebang=/usr/bin/python3 /usr/share/konversation

## konversation 25.08.2+p24.04+vstable+git20251031.0952

=== debian/changelog ===
konversation (25.08.2+p24.04+vstable+git20251031.0952-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 31 Oct 2025 09:52:41 +0000

## konversation 25.08.2+p24.04+vunstable+git20251010.0714

=== debian/changelog ===
konversation (25.08.2+p24.04+vunstable+git20251010.0714-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 10 Oct 2025 07:14:25 +0000

## konversation 25.08.2+p24.04+vunstable+git20251016.0025

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "08")
-set (RELEASE_SERVICE_VERSION_MICRO "2")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added
@@ -55,7 +55,6 @@
     CoreAddons
     Crash
     DBusAddons
-    DocTools
     I18n
     IdleTime
     ItemViews
@@ -70,6 +69,15 @@
     WidgetsAddons
     WindowSystem
 )
+
+option(BUILD_DOC "Whether to build the documentation" ON)
+if(BUILD_DOC)
+    find_package(KF6DocTools)
+    set_package_properties(KF6DocTools PROPERTIES DESCRIPTION
+        "Tools to generate documentation"
+        TYPE REQUIRED
+    )
+endif()
 
 if(NOT WIN32 AND NOT HAIKU)
     find_package(KF6 REQUIRED GlobalAccel)
@@ -93,13 +101,16 @@
 
 add_subdirectory(src)
 add_subdirectory(data)
-add_subdirectory(doc)
 
 if(BUILD_TESTING)
     add_subdirectory(tests)
 endif()
 
+if(BUILD_DOC)
+    add_subdirectory(doc)
+    kdoctools_install(po)
+endif()
+
 ki18n_install(po)
-kdoctools_install(po)
 
 feature_summary(WHAT ALL INCLUDE_QUIET_PACKAGES FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
konversation (25.08.2+p24.04+vunstable+git20251016.0025-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 16 Oct 2025 00:25:17 +0000

## konversation 25.08.2+p24.04+vunstable+git20251020.1248

=== debian/changelog ===
konversation (25.08.2+p24.04+vunstable+git20251020.1248-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 20 Oct 2025 12:48:39 +0000

## konversation 25.08.3

=== doc/CMakeLists.txt ===
kdoctools_create_handbook( index.docbook  INSTALL_DESTINATION ${KDE_INSTALL_DOCBUNDLEDIR}/en SUBDIR konversation )

=== data/scripting_support/python/CMakeLists.txt ===
add_subdirectory(konversation)

=== data/images/nickicons/default/CMakeLists.txt ===
install(
    FILES
        irc_admin.svg
        irc_away.svg
        irc_away_stacked.svg
        irc_halfop.svg
        irc_normal.svg
        irc_op.svg
        irc_owner.svg
        irc_voice.svg
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/default
)

=== debian/changelog ===
konversation (25.08.3-0zneon+24.04+noble+release+build19) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Thu, 06 Nov 2025 19:27:52 +0000

konversation (25.08.3-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 07 Nov 2025 00:47:14 +1000

## konversation 25.08.3+p24.04+vunstable+git20251201.0312

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,8 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MAJOR "26")
+set (RELEASE_SERVICE_VERSION_MINOR "03")
 set (RELEASE_SERVICE_VERSION_MICRO "70")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")

=== debian/changelog ===
konversation (25.08.3+p24.04+vunstable+git20251201.0312-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 01 Dec 2025 03:12:37 +0000

## konversation 25.08.3+p24.04+vunstable+git20251206.0707

=== debian/changelog ===
konversation (25.08.3+p24.04+vunstable+git20251206.0707-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 06 Dec 2025 07:08:02 +0000

## konversation 25.11.80

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,9 +1,9 @@
 cmake_minimum_required (VERSION 3.16 FATAL_ERROR)
 
 # Release Service version, managed by release script
-set (RELEASE_SERVICE_VERSION_MAJOR "26")
-set (RELEASE_SERVICE_VERSION_MINOR "03")
-set (RELEASE_SERVICE_VERSION_MICRO "70")
+set (RELEASE_SERVICE_VERSION_MAJOR "25")
+set (RELEASE_SERVICE_VERSION_MINOR "11")
+set (RELEASE_SERVICE_VERSION_MICRO "80")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added

=== data/images/nickicons/oxygen/CMakeLists.txt ===
install(
    FILES
        irc_admin.png
        irc_away.png
        irc_halfop.png
        irc_normal.png
        irc_op.png
        irc_owner.png
        irc_voice.png
        index.desktop
    DESTINATION ${KDE_INSTALL_DATADIR}/konversation/themes/oxygen
)

=== debian/changelog ===
konversation (25.11.80-0ubuntu1) resolute; urgency=medium

  * New upstream (beta) release (25.11.80)

 -- Rik Mills <rikmills@kde.org>  Sun, 16 Nov 2025 05:54:35 +0000

konversation (25.08.3-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Nov 2025 12:16:55 +0000

## konversation 25.11.90

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "80")
+set (RELEASE_SERVICE_VERSION_MICRO "90")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added

=== debian/changelog ===
konversation (25.11.90-0ubuntu1) resolute; urgency=medium

  * New upstream (RC) release (25.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 28 Nov 2025 14:10:37 +0000

## konversation 25.12.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -2,8 +2,8 @@
 
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
-set (RELEASE_SERVICE_VERSION_MINOR "11")
-set (RELEASE_SERVICE_VERSION_MICRO "90")
+set (RELEASE_SERVICE_VERSION_MINOR "12")
+set (RELEASE_SERVICE_VERSION_MICRO "0")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added

=== debian/changelog ===
konversation (25.12.0-0zneon+24.04+noble+release+build20) noble; urgency=medium

  * Automatic CI Build

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 20:05:14 +0000

konversation (25.12.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Mon, 08 Dec 2025 19:43:52 +1000

## konversation 25.12.0+p24.04+vstable+git20251217.0241

=== debian/changelog ===
konversation (25.12.0+p24.04+vstable+git20251217.0241-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 17 Dec 2025 02:41:16 +0000

## konversation 25.12.0+p24.04+vstable+git20260101.0020

=== debian/changelog ===
konversation (25.12.0+p24.04+vstable+git20260101.0020-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 01 Jan 2026 00:20:10 +0000

## konversation 25.12.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "0")
+set (RELEASE_SERVICE_VERSION_MICRO "1")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added

=== debian/changelog ===
konversation (25.12.1-1ubuntu2) resolute; urgency=medium

  * No-change rebuild for kf6-kio 6.22.1.

 -- Rik Mills <rikmills@kde.org>  Thu, 22 Jan 2026 22:21:45 +0000

konversation (25.12.1-1ubuntu1) resolute; urgency=medium

  * Merge from Debian unstable. Remaining changes:
    - Kubuntu Vcs and maintainer fields.
    - debian/patches: Retain kubuntu_default_channels.diff in place of
      debian equivalent.
    - debian/patches: don't adopt debian_debug_autoreplace.diff
    - Add .gitattributes for changelog merge driver.

 -- Rik Mills <rikmills@kde.org>  Tue, 20 Jan 2026 11:41:08 +0000

konversation (25.12.1-1) unstable; urgency=medium

  * Team upload
  * New upstream release

 -- Salvo 'LtWorf' Tomaselli <ltworf@debian.org>  Mon, 19 Jan 2026 18:51:57 +0100

konversation (25.12.1-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 08 Jan 2026 11:10:17 +0000

konversation (25.12.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 11 Dec 2025 12:28:19 +0000

=== debian/control ===
Source: konversation
Section: net
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Pino Toscano <pino@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-python,
               cmake (>= 3.16.0~),
               extra-cmake-modules (>= 6.3.0~),
               gettext,
               libkf6archive-dev (>= 6.3.0~),
               libkf6bookmarks-dev (>= 6.3.0~),
               libkf6codecs-dev,
               libkf6config-dev (>= 6.3.0~),
               libkf6configwidgets-dev (>= 6.3.0~),
               libkf6coreaddons-dev (>= 6.3.0~),
               libkf6crash-dev (>= 6.3.0~),
               libkf6dbusaddons-dev (>= 6.3.0~),
               libkf6doctools-dev (>= 6.3.0~),
               libkf6globalaccel-dev (>= 5.74.0~),
               libkf6i18n-dev (>= 6.3.0~),
               libkf6idletime-dev (>= 6.3.0~),
               libkf6itemviews-dev (>= 6.3.0~),
               libkf6kio-dev (>= 6.3.0~),
               libkf6newstuff-dev (>= 6.3.0~),
               libkf6notifications-dev (>= 6.3.0~),
               libkf6notifyconfig-dev (>= 6.3.0~),
               libkf6parts-dev (>= 6.3.0~),
               libkf6statusnotifieritem-dev (>= 6.3.0~),
               libkf6textwidgets-dev (>= 6.3.0~),
               libkf6wallet-dev (>= 6.3.0~),
               libkf6widgetsaddons-dev (>= 6.3.0~),
               libkf6windowsystem-dev (>= 6.3.0~),
               libphonon4qt6-dev,
               libphonon4qt6experimental-dev,
               libqca-qt6-dev (>= 2.2.0~),
               pkg-kde-tools,
               python3:any,
               qt6-5compat-dev (>= 6.4.0~),
               qt6-base-dev (>= 6.4.0~),
               qt6-multimedia-dev (>= 6.4.0~),
Standards-Version: 4.7.2
Rules-Requires-Root: no
Homepage: https://konversation.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/konversation

Package: konversation
Architecture: any
Depends: konversation-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: irc,
Description: user friendly Internet Relay Chat (IRC) client for KDE
 Konversation is a client for the Internet Relay Chat (IRC) protocol.
 It is easy to use and well-suited for novice IRC users, but novice
 and experienced users alike will appreciate its many features:
 .
       * Standard IRC features
       * Easy to use graphical interface
       * Multiple server and channel tabs in a single window
       * IRC color support
       * Pattern-based message highlighting and OnScreen Display
       * Multiple identities for different servers
       * Multi-language scripting support (with DCOP)
       * Customizable command aliases
       * NickServ-aware log-on (for registered nicknames)
       * Smart logging
       * Traditional or enhanced-shell-style nick completion
       * DCC file transfer with resume support

Package: konversation-data
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, ${python3:Depends},
Recommends: konversation (>= ${source:Version}),
Description: data files for Konversation
 Konversation is a client for the Internet Relay Chat (IRC) protocol. This
 package contains data files for Konversation. It is probably of no use if
 `konversation' package is not installed.

## konversation 25.12.1+p24.04+vstable+git20260107.0333

=== debian/changelog ===
konversation (25.12.1+p24.04+vstable+git20260107.0333-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 07 Jan 2026 03:33:26 +0000

konversation (25.12.1-0neon) noble; urgency=medium

  * New release

 -- Carlos De Maine <carlosd.kde@gmail.com>  Tue, 06 Jan 2026 23:36:22 +1000

## konversation 25.12.1+p24.04+vstable+git20260109.0022

=== debian/changelog ===
konversation (25.12.1+p24.04+vstable+git20260109.0022-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Fri, 09 Jan 2026 00:22:51 +0000

## konversation 25.12.1+p24.04+vstable+git20260128.0401

=== debian/changelog ===
konversation (25.12.1+p24.04+vstable+git20260128.0401-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Wed, 28 Jan 2026 04:01:27 +0000

## konversation 25.12.1+p24.04+vstable+git20260131.0427

=== debian/changelog ===
konversation (25.12.1+p24.04+vstable+git20260131.0427-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Sat, 31 Jan 2026 04:27:19 +0000

## konversation 25.12.2

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 # Release Service version, managed by release script
 set (RELEASE_SERVICE_VERSION_MAJOR "25")
 set (RELEASE_SERVICE_VERSION_MINOR "12")
-set (RELEASE_SERVICE_VERSION_MICRO "1")
+set (RELEASE_SERVICE_VERSION_MICRO "2")
 set (RELEASE_SERVICE_COMPACT_VERSION "${RELEASE_SERVICE_VERSION_MAJOR}${RELEASE_SERVICE_VERSION_MINOR}${RELEASE_SERVICE_VERSION_MICRO}")
 
 # Bump KONVERSATION_BASE_VERSION once new features are added

=== debian/changelog ===
konversation (25.12.2-0ubuntu1) resolute; urgency=medium

  * New upstream release (25.12.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 05 Feb 2026 12:27:13 +0000

=== debian/control ===
--- 
+++ 
@@ -5,9 +5,9 @@
 XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Pino Toscano <pino@debian.org>,
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: cmake (>= 3.16.0~),
+               debhelper-compat (= 13),
                dh-python,
-               cmake (>= 3.16.0~),
                extra-cmake-modules (>= 6.3.0~),
                gettext,
                libkf6archive-dev (>= 6.3.0~),
